Bug 954100 - Review Request: sendxmpp - A Perl script to send XMPP messages
Summary: Review Request: sendxmpp - A Perl script to send XMPP messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-20 17:57 UTC by Robert Scheck
Modified: 2013-05-07 18:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:16:19 UTC
Type: Bug
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2013-04-20 17:57:15 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/sendxmpp.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/sendxmpp-1.23-1.src.rpm
Description:
Sendxmpp is a Perl script to send XMPP (Jabber) messages from the command
line, similar to what mail(1) does for mail. Messages can be sent both to
individual recipients and chat rooms.


This package will be imported to EPEL 5 and 6 and of course to all active
Fedora branches.

Comment 1 Robert Scheck 2013-04-20 17:58:05 UTC
Please note that this is a re-review as the existing package was orphaned.

Comment 2 Fabian Affolter 2013-04-21 12:48:15 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[!]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: sendxmpp-1.23-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint sendxmpp
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
sendxmpp (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl(Authen::SASL)
    perl(Getopt::Long)
    perl(Net::XMPP)
    perl(open)
    perl(strict)

Provides
--------
sendxmpp:
    sendxmpp

MD5-sum check (done by hand)
----------------------------
http://sendxmpp.platon.sk/sendxmpp-1.23.tar.gz :
  CHECKSUM(SHA256) this package     : 8a8b408ebd1df0157418981035748d9eb2464d353c5ea8ac48b074b8a85b9616
  CHECKSUM(SHA256) upstream package : 8a8b408ebd1df0157418981035748d9eb2464d353c5ea8ac48b074b8a85b9616

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29

Issues
------
- Typo in %changelog: '- Upgrade to 1.12' -> '- Upgrade to 1.23' (not really relevant ;-) )
- %defattr, %clean section, and cleaning in the %install section for EPEL 5 are missing.

Please fix the issues before the scm import. Beside that I see no blocker, package APPROVED.

Comment 3 Robert Scheck 2013-04-21 13:11:17 UTC
Thank you very much for the package review!


New Package SCM Request
=======================
Package Name: sendxmpp
Short Description: A Perl script to send XMPP messages
Owners: robert
Branches: el5 el6 f17 f18 f19
InitialCC:

Comment 4 Petr Šabata 2013-04-22 08:01:26 UTC
Just my two cents:
- As far as I know, not even el5 requires %defattr, so that's okay
- There's no need to BR perl(Net::XMPP) and perl(Getopt::Long) in this package

Comment 5 Gwyn Ciesla 2013-04-22 13:54:31 UTC
Unretired, take ownership and submit package change request for EL branches.

Comment 6 Robert Scheck 2013-04-22 13:58:53 UTC
Jon, thank you - also for the pointer. And here we go:


Package Change Request
======================
Package Name: sendxmpp
New Branches: el5 el6
Owners: robert
InitialCC:

Comment 7 Gwyn Ciesla 2013-04-22 14:18:48 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-04-22 19:21:44 UTC
sendxmpp-1.23-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sendxmpp-1.23-1.fc19

Comment 9 Fedora Update System 2013-04-22 19:22:14 UTC
sendxmpp-1.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sendxmpp-1.23-1.fc18

Comment 10 Fedora Update System 2013-04-22 19:23:04 UTC
sendxmpp-1.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sendxmpp-1.23-1.fc17

Comment 11 Fedora Update System 2013-04-22 19:23:16 UTC
sendxmpp-1.23-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sendxmpp-1.23-1.el6

Comment 12 Fedora Update System 2013-04-22 19:23:16 UTC
sendxmpp-1.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/sendxmpp-1.23-1.el5

Comment 13 Fedora Update System 2013-04-23 02:56:56 UTC
sendxmpp-1.23-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 14 Fedora Update System 2013-04-27 03:16:21 UTC
sendxmpp-1.23-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-05-02 03:53:25 UTC
sendxmpp-1.23-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2013-05-02 04:01:26 UTC
sendxmpp-1.23-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Fedora Update System 2013-05-07 18:09:55 UTC
sendxmpp-1.23-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 18 Fedora Update System 2013-05-07 18:12:54 UTC
sendxmpp-1.23-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.